OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_CurveOnSurface Class Reference

`#include <PBRep_CurveOnSurface.hxx>`

Inheritance diagram for PBRep_CurveOnSurface:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_CurveOnSurface (const Handle(PGeom2d_Curve)&PC, const Standard_Real CF, const Standard_Real CL, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)
| CF is curve first parameter CL is curve last parameter As far as they can't be computed from a Persistent Curve they are given in the CurveOnSurface constructor .
Standard_EXPORT Handle_PGeom_Surface | Surface () const
Standard_EXPORT Handle_PGeom2d_Curve | PCurve () const
virtual Standard_EXPORT Standard_Boolean | IsCurveOnSurface () const
| Returns True. .
Standard_EXPORT void | SetUVPoints (const gp_Pnt2d &Pnt1, const gp_Pnt2d &Pnt2)
Standard_EXPORT gp_Pnt2d | FirstUV () const
Standard_EXPORT gp_Pnt2d | LastUV () const
| PBRep_CurveOnSurface ()
| PBRep_CurveOnSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_Curve) _CSFDB_GetPBRep_CurveOnSurfacemyPCurve() const
void | _CSFDB_SetPBRep_CurveOnSurfacemyPCurve (const Handle(PGeom2d_Curve)&p)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_CurveOnSurfacemySurface() const
void | _CSFDB_SetPBRep_CurveOnSurfacemySurface (const Handle(PGeom_Surface)&p)
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnSurfacemyUV1 () const
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnSurfacemyUV2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom2d_Curve | myPCurve
Handle_PGeom_Surface | mySurface
gp_Pnt2d | myUV1
gp_Pnt2d | myUV2

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_CurveOnSurface::PBRep_CurveOnSurface | ( | const Handle(PGeom2d_Curve)& | PC,
|  | const Standard_Real | CF,
|  | const Standard_Real | CL,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_CurveOnSurface::PBRep_CurveOnSurface | ( |  | ) | `[inline]`

PBRep_CurveOnSurface::PBRep_CurveOnSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt2d& PBRep_CurveOnSurface::_CSFDB_GetPBRep_CurveOnSurfacemyUV1 | ( |  | ) | const`[inline]`

const gp_Pnt2d& PBRep_CurveOnSurface::_CSFDB_GetPBRep_CurveOnSurfacemyUV2 | ( |  | ) | const`[inline]`

void PBRep_CurveOnSurface::_CSFDB_SetPBRep_CurveOnSurfacemyPCurve | ( | const Handle(PGeom2d_Curve)& | p | ) | `[inline]`

void PBRep_CurveOnSurface::_CSFDB_SetPBRep_CurveOnSurfacemySurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

Standard_EXPORT gp_Pnt2d PBRep_CurveOnSurface::FirstUV | ( |  | ) | const

Standard_EXPORT const PBRep_CurveOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_GCurve. Reimplemented in PBRep_CurveOnClosedSurface.

PBRep_CurveOnSurface::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

PBRep_CurveOnSurface::Handle | ( | PGeom2d_Curve |  | ) | const`[inline]`

| Reimplemented in PBRep_CurveOnClosedSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_CurveOnSurface::IsCurveOnSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT gp_Pnt2d PBRep_CurveOnSurface::LastUV | ( |  | ) | const

Standard_EXPORT Handle_PGeom2d_Curve PBRep_CurveOnSurface::PCurve | ( |  | ) | const

Standard_EXPORT void PBRep_CurveOnSurface::SetUVPoints | ( | const gp_Pnt2d & | Pnt1,
|  | const gp_Pnt2d & | Pnt2
| ) |

Standard_EXPORT Handle_PGeom_Surface PBRep_CurveOnSurface::Surface | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_Curve PBRep_CurveOnSurface::myPCurve`[private]`

Handle_PGeom_Surface PBRep_CurveOnSurface::mySurface`[private]`

gp_Pnt2d PBRep_CurveOnSurface::myUV1`[private]`

gp_Pnt2d PBRep_CurveOnSurface::myUV2`[private]`

The documentation for this class was generated from the following file:

- PBRep_CurveOnSurface.hxx